// _SyntheseCarriere_Interface.java
// Created on 16 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.outils.individu.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _SyntheseCarriere_Interface extends COFrame {

    /** Creates new form _SyntheseCarriere_Interface */
    public _SyntheseCarriere_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        listeAffichage = new org.cocktail.component.COTable();
        cOButton1 = new org.cocktail.component.COButton();

        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);
        displayGroup.setKeys(new Object[] {"corps","echelon","grade","periodeDeb","periodeFin","population","statut"});

        setControllerClassName("org.cocktail.mangue.client.outils.individu.SyntheseCarriere");
        setSize(new java.awt.Dimension(657, 561));

        listeAffichage.setColumns(new Object[][] {{null,"populationLong",new Integer(0),"Population",new Integer(0),new Integer(100),new Integer(100),new Integer(100)},{null,"statut",new Integer(0),"Statut",new Integer(0),new Integer(60),new Integer(60),new Integer(60)},{"%d/%m/%Y","periodeDeb",new Integer(0),"Début",new Integer(0),new Integer(85),new Integer(85),new Integer(85)},{"%d/%m/%Y","periodeFin",new Integer(0),"Fin",new Integer(0),new Integer(85),new Integer(85),new Integer(85)},{"","corps",new Integer(2),"Corps",new Integer(0),new Integer(100),new Integer(1000),new Integer(55)},{null,"grade",new Integer(2),"Grade",new Integer(0),new Integer(105),new Integer(1000),new Integer(37)},{null,"echelon",new Integer(0),"Echelon",new Integer(0),new Integer(65),new Integer(1000),new Integer(57)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);
        listeAffichage.setResizingAllowed(true);

        cOButton1.setActionName("imprimer");
        cOButton1.setBorderPainted(false);
        cOButton1.setEnabledMethod("peutImprimer");
        cOButton1.setIconName("Imprimante.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(14, 14, 14)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 623, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 484, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(cOButton1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 40, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton1;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.COTable listeAffichage;
    // End of variables declaration//GEN-END:variables
                  

}
